## org.eclipse.datatools.modelbase.sql.query
Interface TableNested

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject, TableReference

    public interface TableNested

extends TableReference

A representation of the model object 'SQL Table Nested'.

The following features are supported:

- `Nested Table Ref`

See Also:
  `SQLQueryModelPackage.getTableNested()`

Method Summary
`TableReference` `getNestedTableRef()` Returns the value of the 'Nested Table Ref' containment reference.
`void` `setNestedTableRef(TableReference value)` Sets the value of the '`Nested Table Ref`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableReference
`getMergeSourceTable, getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setMergeSourceTable, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getNestedTableRef

    TableReference getNestedTableRef()

  Returns the value of the 'Nested Table Ref' containment reference. It is bidirectional and its opposite is '`Nest`'.

  If the meaning of the 'Nested Table Ref' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Nested Table Ref' containment reference.
  See Also:
    `setNestedTableRef(TableReference)`, `SQLQueryModelPackage.getTableNested_NestedTableRef()`, `TableReference.getNest()`

### setNestedTableRef

    void setNestedTableRef(TableReference value)

  Sets the value of the '`Nested Table Ref`' containment reference.

  Parameters:
    `value` - the new value of the 'Nested Table Ref' containment reference.
  See Also:
    `getNestedTableRef()`